package com.hywa.banktest.bankframework.pack;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class TransVo {
	/**
	 * 序号
	 */
	private int num;
	/**
	 * 转帐目标姓名
	 */
	private String name;
	/**
	 * 银行账号
	 */
	private String bankAccount;
	/**
	 * 证件类型
	 */
	private String cardType;
	/**
	 * 证件号码（身份证号码）
	 */
	private String cardNum;
	/**
	 * 转账金额
	 */
	private String money;
	/**
	 * 客户代码
	 */
	private String customerNum;
	/**
	 * 订单号
	 */
	private String orderNo;
	/**
	 * 银行返回代码
	 */
	private String returnCode;
	/**
	 * 银行返回消息
	 */
	private String returnMsg;

	/**
	 * 打款农户编号
	 */
	private String farmerId;

	/**
	 * 清款记录明细主键
	 */
	private String id;

	/**
	 * 清款记录主键
	 */
	private String fkClearingId;

	/**
	 * 农户ID
	 */
	private String fkFarmerId;

	/**
	 * 农户姓名
	 */
	private String farmerName;

	/**
	 * 农户账号
	 */
	private String farmerAccount;

	/**
	 * 农户身份证号
	 */
	private String farmerPid;

	/**
	 * 打款金额
	 */
	private BigDecimal clearingMoneyDetail;

	/**
	 * 打款记录状态
	 */
	private Integer clearingState;

	/**
	 * 打款记录时间
	 */
	private Date clearingTimed;
	/**
	 * 银行回盘文件名称
	 */
	private String bankReceiptFile;

	/**
	 * 银行打款响应码
	 */
	private String bankDealState;
	/**
	 * 银行打款响应消息
	 */
	private String bankDealMsg;

	/**
	 * 订单状态
	 */
	private Integer orderStatus;
	/**
	 * 申请银行打款文件
	 */
	private String transFile;

}
