package com.hywa.banktest.web;



import com.hywa.banktest.service.OrderInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.hywa.banktest.bankframework.pack.Dlmaps;
import com.hywa.banktest.bankframework.service.BankServiceImpl;
import com.hywa.banktest.bankframework.socketHandle.BankSocket;

@RestController
public class PostBankController {

	@Autowired
	private BankSocket bankRequestKit;
	@Autowired
	private BankServiceImpl bankService;
	@Autowired
	private OrderInfoService orderInfoService;
	
	/**
	 * 1.1	对公账户余额查询(8910)，请求银行接口
	 * @return
	 */
	@RequestMapping(value="queryBalance", produces = "application/json; charset=UTF-8")
	public Dlmaps queryBalance() {
		return bankService.queryBalance();
	}

//	public String orderInfoToBank(){
//
//		return null;
//	}
	
	/**
	 * 1.1	个人账户开户校验(8911)，请求银行接口
	 * @return
	 */
/*	@RequestMapping(value="personAccountValidate", produces = "application/json; charset=UTF-8")
	public Dlmaps personAccountValidate(String CUST_ID, String CARD_ID, String CARD_TYPE, String CUST_NAME, String CUST_ACC, String CUST_ACC_TYPE) {
		//return bankService.personAccountValidate("522526197006241216", "522526197006241216", "01", "魏光先", "6217997010013970437", "");
		Dlmaps dlmaps = bankService.personAccountValidate(CUST_ID, CARD_ID, CARD_TYPE, CUST_NAME, CUST_ACC, CUST_ACC_TYPE);
		return dlmaps;
	}*/
	
	//@RequestMapping("trans")
	//public Dlmaps trans(@RequestBody List<TransVo> transVos) {
		//Dlmaps moneyClearResult = bankService.moneyClearing(transVos);
		//return moneyClearResult;
	//}
	
	

}
