package com.hywa.banktest.service;

import lombok.extern.slf4j.Slf4j;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Rollback;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static org.junit.Assert.*;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
@Transactional
public class OrderInfoServiceTest {

    @Autowired
    private OrderInfoService orderInfoService;

    @Before
    public void setUp() throws Exception {

    }

    @Test
    public void getTransOrderInfo() {

    }

    @Test
    public void queryTransFarmerOrderInfo() {
        List<Map> list = orderInfoService.queryTransFarmerForTest();
        Assert.assertNotNull("有效的查询数据",list);
        for(Map map : list){
            log.info("map.getName==============>{}",map.get("name"));
        }
    }

    @Test
    @Rollback
    public void updateOrderInfoByFarmer() {
        Map map = new HashMap();
        map.put("orderStatus",4);
        map.put("transCode","0000");
        map.put("transMsg","转账成功");
        map.put("farmerId","549cae97cdbd4a5ba4f4015cc217f2cc");
        int i = orderInfoService.updateOrderInfoByFarmer(map);
        Assert.assertNotEquals(i,0);
    }
}