package com.hywa.banktest.bankframework.utils.rsa;


/**
 * 
 * 版权所有：2016-贵州精英天成科技股份有限公司
 * 项目名称：plamsa-common   
 *
 * 类描述：密码转pin
 * 类名称：com.elite.common.utils.rsa.PinTool     
 * 创建人： xiezt 
 * 创建时间：2016年5月6日 下午5:12:46   
 * 修改人：
 * 修改时间：2016年5月6日 下午5:12:46   
 * 修改备注：   
 * @version 1.0
 */
public class PinTool {
	
	public static synchronized byte[] pin2Block(String aPin) {

		byte[] pinBlock = new byte[8];
		pinBlock[0] = (byte) aPin.length();
		int intValue = Integer.valueOf(aPin);
		int k = 1000000;
		for (int i = 0; i < aPin.length(); i += 2) {
			byte b1 = (byte) (((intValue / (k / 10)) << 4) & 0xf0);
			byte b2 = (byte) ((intValue / (k / 100)) % 10);
			pinBlock[i / 2 + 1] = (byte) (b1 + b2);
			intValue = intValue % (k / 100);
			k = k / 100;

		}
		pinBlock[4] = (byte) 0xff;
		pinBlock[5] = (byte) 0xff;
		pinBlock[6] = (byte) 0xff;
		pinBlock[7] = (byte) 0xff;

		return pinBlock;
	}

}
